Name:           aws-c-cal
Version:        0.5.12
Release:        7.20221124095030906938.main%{?dist}
Summary:        AWS Crypto Abstraction Layer

License:        ASL 2.0
URL:            https://github.com/awslabs/%{name}
Source0:        aws-c-cal-0.5.12.tar.gz
Patch0:         aws-c-cal-cmake.patch

BuildRequires:  gcc
BuildRequires:  cmake
BuildRequires:  aws-c-common-devel
BuildRequires:  openssl-devel

Requires:       aws-c-common-libs
Requires:       openssl
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description
AWS Crypto Abstraction Layer: Cross-Platform, C99 wrapper for
cryptography primitives


%package libs
Summary:        AWS Crypto Abstraction Layer

%description libs
AWS Crypto Abstraction Layer: Cross-Platform, C99 wrapper for
cryptography primitives


%package devel
Summary:        AWS Crypto Abstraction Layer
Requires:       aws-c-common-devel
Requires:       %{name}-libs%{?_isa} = %{version}-%{release}

%description devel
AWS Crypto Abstraction Layer: Cross-Platform, C99 wrapper for
cryptography primitives


%prep
%autosetup -p1 -n aws-c-cal-0.5.12


%build
%cmake -DBUILD_SHARED_LIBS=ON
%cmake_build

%install
%cmake_install

%check
%ctest

%files
%{_bindir}/sha256_profile
%{_bindir}/produce_x_platform_fuzz_corpus
%{_bindir}/run_x_platform_fuzz_corpus

%files libs
%license LICENSE
%doc README.md
%{_libdir}/libaws-c-cal.so.1.0.0

%files devel
%dir %{_includedir}/aws/cal
%{_includedir}/aws/cal/*.h

%dir %{_libdir}/cmake/aws-c-cal
%dir %{_libdir}/cmake/aws-c-cal/modules
%dir %{_libdir}/cmake/aws-c-cal/shared
%{_libdir}/libaws-c-cal.so
%{_libdir}/cmake/aws-c-cal/aws-c-cal-config.cmake
%{_libdir}/cmake/aws-c-cal/modules/Findcrypto.cmake
%{_libdir}/cmake/aws-c-cal/shared/aws-c-cal-targets-noconfig.cmake
%{_libdir}/cmake/aws-c-cal/shared/aws-c-cal-targets.cmake


%changelog
* Thu Nov 24 2022 Packit <hello@packit.dev> - 0.5.12-7.20221124095030906938.main
- Development snapshot (61afa727)

* Thu Feb 24 2022 David Duncan <davdunc@amazon.com> - 0.5.12-7
- Include check and ctest section in spec

* Tue Feb 22 2022 David Duncan <davdunc@amazon.com> - 0.5.12-6
- Updated for package review

* Tue Feb 22 2022 Kyle Knapp <kyleknap@amazon.com> - 0.5.12-5
- Include missing devel directories

* Thu Feb 03 2022 Kyle Knapp <kyleknap@amazon.com> - 0.5.12-4
- Move sha256_profile executable to standard package

* Thu Feb 03 2022 Kyle Knapp <kyleknap@amazon.com> - 0.5.12-3
- Update specfile based on review feedback

* Wed Feb 02 2022 David Duncan <davdunc@amazon.com> - 0.5.12-2
- Prepare for package review

* Tue Jan 18 2022 Kyle Knapp <kyleknap@amazon.com> - 0.5.12-1
- Initial package development
